Bug 70720 - smb initscript has wrong error handling
Summary: smb initscript has wrong error handling
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: samba (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-04 15:00 UTC by Peter van Egdom
Modified: 2007-04-18 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-05 10:36:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter van Egdom 2002-08-04 15:00:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1b) Gecko/20020721

Description of problem:
[peterve@limbo-pc init.d]$ ./smb start
Starting SMB services:                                     [  OK  ]
Starting NMB services:                                     [  OK  ]
touch: creating `/var/lock/subsys/smb': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./smb start
Starting SMB services:                                     [  OK  ]
Starting NMB services:                                     [  OK  ]
touch: creating `/var/lock/subsys/smb': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./smb stop
Shutting down SMB services:                                [FAILED]
Shutting down NMB services:                                [FAILED]
[peterve@limbo-pc init.d]$


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "smb start" as normal user
2.
3.
	

Actual Results:
[peterve@limbo-pc init.d]$ ./smb start
Starting SMB services:                                     [  OK  ]
Starting NMB services:                                     [  OK  ]
touch: creating `/var/lock/subsys/smb': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./smb start
Starting SMB services:                                     [  OK  ]
Starting NMB services:                                     [  OK  ]
touch: creating `/var/lock/subsys/smb': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./smb stop
Shutting down SMB services:                                [FAILED]
Shutting down NMB services:                                [FAILED]
[peterve@limbo-pc init.d]$


Expected Results:
[peterve@limbo-pc init.d]$ ./smb start
Starting SMB services:                                     [FAILED]
Starting NMB services:                                     [FAILED]
touch: creating `/var/lock/subsys/smb': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./smb start
Starting SMB services:                                     [FAILED]
Starting NMB services:                                     [FAILED]
touch: creating `/var/lock/subsys/smb': Toegang geweigerd
[peterve@limbo-pc init.d]$ ./smb stop
Shutting down SMB services:                                [FAILED]
Shutting down NMB services:                                [FAILED]
[peterve@limbo-pc init.d]$


Additional info:

Source RPM: samba-2.2.5-6.src.rpm

Comment 1 Andrew Bartlett 2002-08-05 10:36:29 UTC
Samba forks before it attemptes privilages operations, and so it's very hard for
the init scripts to pick this up correctly.

It's been on my 'I should fix someday' list for a long time.  Posting patches
often helps get these items off that list ;-)

Andrew Bartlett

Comment 2 Trond Eivind Glomsrxd 2002-08-05 15:54:20 UTC
Fixed in smb.init script (not checking status of the daemons, but by checking if
you're have the necesarry access rights. Will need fixing when capabilities get
more extensively used, but should work until then)

2.2.5-8


Note You need to log in before you can comment on or make changes to this bug.